Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SLAIC1

    java.lang.Object
      org.netlib.lapack.SLAIC1

    public class SLAIC1

extends java.lang.Object

    SLAIC1 is a simplified interface to the JLAPACK routine slaic1.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLAIC1 applies one step of incremental condition estimation in
     *  its simplest version:
     *
     *  Let x, twonorm(x) = 1, be an approximate singular vector of an j-by-j
     *  lower triangular matrix L, such that
     *           twonorm(L*x) = sest
     *  Then SLAIC1 computes sestpr, s, c such that
     *  the vector
     *                  [ s*x ]
     *           xhat = [  c  ]
     *  is an approximate singular vector of
     *                  [ L     0  ]
     *           Lhat = [ w' gamma ]
     *  in the sense that
     *           twonorm(Lhat*xhat) = sestpr.
     *
     *  Depending on JOB, an estimate for the largest or smallest singular
     *  value is computed.
     *
     *  Note that [s c]' and sestpr**2 is an eigenpair of the system
     *
     *      diag(sest*sest, 0) + [alpha  gamma] * [ alpha ]
     *                                            [ gamma ]
     *
     *  where  alpha =  x'*w.
     *
     *  Arguments
     *  =========
     *
     *  JOB     (input) INTEGER
     *          = 1: an estimate for the largest singular value is computed.

     *          = 2: an estimate for the smallest singular value is computed.
     *
     *  J       (input) INTEGER
     *          Length of X and W
     *
     *  X       (input) REAL array, dimension (J)
     *          The j-vector x.
     *
     *  SEST    (input) REAL
     *          Estimated singular value of j by j matrix L
     *
     *  W       (input) REAL array, dimension (J)
     *          The j-vector w.
     *
     *  GAMMA   (input) REAL
     *          The diagonal element gamma.
     *
     *  SESTPR  (output) REAL
     *          Estimated singular value of (j+1) by (j+1) matrix Lhat.
     *
     *  S       (output) REAL
     *          Sine needed in forming xhat.
     *
     *  C       (output) REAL
     *          Cosine needed in forming xhat.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`SLAIC1()`

Method Summary
`static void` | `SLAIC1(int job, int j, float[] x, float sest, float[] w, float gamma, floatW sestpr, floatW s, floatW c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLAIC1

    public SLAIC1()

Method Detail

### SLAIC1

    public static void SLAIC1(int job,
                              int j,
                              float[] x,
                              float sest,
                              float[] w,
                              float gamma,
                              floatW sestpr,
                              floatW s,
                              floatW c)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD